# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#'cvode
#'
#' CVODE solver to solve stiff ODEs
#'@param time_vector time vector
#'@param IC Initial Conditions
#'@param input_function Right Hand Side function of ODEs
#'@param Parameters Parameters input to ODEs
#'@param reltolerance Relative Tolerance (a scalar)
#'@param abstolerance Absolute Tolerance (a vector with length equal to ydot)
#'@example /inst/examples/cv_Roberts_dns.r
cvode <- function(time_vector, IC, input_function, Parameters, reltolerance, abstolerance) {
    .Call('_sundialr_cvode', PACKAGE = 'sundialr', time_vector, IC, input_function, Parameters, reltolerance, abstolerance)
}

#' cvodes
#'
#' CVODES solver to solve ODEs and calculate sensitivities
#'@param time_vector time vector
#'@param IC Initial Conditions
#'@param input_function Right Hand Side function of ODEs
#'@param Parameters Parameters input to ODEs
#'@param reltolerance Relative Tolerance (a scalar)
#'@param abstolerance Absolute Tolerance (a vector with length equal to ydot)
#'@param SensType Sensitivity Type - allowed values are Staggered (default)", "STG" (for Staggered) or "SIM" (for Simultaneous)
#'@param ErrCon Error Control - allowed values are TRUE or FALSE (default)
#'@example /inst/examples/cvs_Roberts_dns.r
cvodes <- function(time_vector, IC, input_function, Parameters, reltolerance, abstolerance, SensType = "STG", ErrCon = 'F') {
    .Call('_sundialr_cvodes', PACKAGE = 'sundialr', time_vector, IC, input_function, Parameters, reltolerance, abstolerance, SensType, ErrCon)
}

